#ifndef DEB_INSTALL_WINDOW_H
#define DEB_INSTALL_WINDOW_H

#include <QWidget>
#include <QDialog>
#include "select_ppd_dialog.h"
namespace Ui {
class DebInstallWindow;
}

class DebInstallWindow : public QDialog
{
    Q_OBJECT

public:
    explicit DebInstallWindow(bool hasPPDSelectWin,
                              QWidget*parentWin = nullptr,
                              QDialog *parent = nullptr);
    void setQSSFontSize(QFont curFont);
    ~DebInstallWindow();
    void onShow();
signals:
    void installEnd();
    void modifyPPDName(QString);
    void getCurFontSize();
private slots:
    void onChooseBtnClicked();
    void onCancelBtnClicked();
    void onForwardBtnClicked();
public slots:
    void applySelectedPPD(QString);
    void cancelSelectedPPD();

protected:

private:

    Ui::DebInstallWindow *m_ui;
    //安装状态，0：安装成功，1：安装失败，2：已经安装
    int m_installOk = -1;
    //父对象中心位置
    QWidget* m_parentWidget;
    bool m_hasPPDSelectWinFlag;
    SelectPpdDialog* m_pSelectPpdDialog = nullptr;
    QFont m_font14;
};

#endif // DEB_INSTALL_WINDOW_H
